# android-go

Bindings for Android ndk, generated with nswrap. An example app is included
in `examples/sensors`. To try it on your Android device:

```
go install gioui.org/cmd/gogio
go get git.wow.st/gmp/android-go/examples/sensors
cd $GOPATH/src/git.wow.st/gmp/android-go/examples/sensors
gogio -target android -minsdk 27 .
adb install -r sensors.apk
```

There is also an example showing how to incorporate custom Java classes
and access them (and the rest of the Android system) via JNI. To build it
(on a Unix-like environment):

```
go get git.wow.st/gmp/android-go/examples/jni
cd $GOPATH/src/git.wow.st/gmp/android-go/examples/jni
go generate os_android.go
gogio -target android -minsdk 27 .
adb install -r jni.apk
```

To build on Windows, you will need to re-write the `go:generate` commands
at the top of `os_android.go` as appropriate.
